使用AI模型通过组合多个音频轨道创建混音音乐。
uploadUrlList 需传 2 个音频 URL,上游只取前 2 个uploadUrlList、model、style、titleuploadUrlList 需包含 2 个音频文件 URL(若传入更多,上游只取前 2 个)lyrics 可选,优先于 prompt 作为歌词;未传 lyrics 时,若提供了 prompt 则将 prompt 作为歌词| 模型 | lyrics / prompt 限制 | style 限制 |
|---|---|---|
| 3000字符 | 200字符 | |
| 5000字符 | 1000字符 | |
| 5000字符 | 1000字符 | |
| 5000字符 | 1000字符 | |
| V6、V6_WILD 和 V6_MINI | 5000字符 | 1000字符 |
title 长度限制:80字符(所有模型)text(文本生成)、first(第一首完成)、complete(全部完成)uploadUrlList 需传 2 个音频文件 URL,上游只取前 2 个| 参数 | 类型 | 描述 |
|---|---|---|
lyrics | string | 歌词内容。可选。优先于 prompt 作为歌词。V6 最多 5000 字符。 |
prompt | string | 未传 lyrics 时作为歌词。可选。V6 最多 5000 字符。 |
variety | integer | 生成结果多样性。0–4 的整数,默认 1。0 关 / 1 普通 / 2 高 / 3 额外 / 4 最大。 |
vocalGender | string | 人声性别偏好。m 男声,f 女声。根据实践,此参数只能加强概率,但不能保证一定遵循男女声的指令。 |
styleWeight | number | 对风格的遵循强度。范围 0–1,保留两位小数。示例:0.61。 |
weirdnessConstraint | number | 创意/离散程度。范围 0–1,保留两位小数。示例:0.72。 |
audioWeight | number | 音频要素权重。范围 0–1,保留两位小数。示例:0.65。 |
duration | integer | 音频时长(秒)。可选。范围 10–360。当 model 为 |
personaId | string | 应用到生成音乐的 Persona ID 或 Voice ID。 |
personaModel | string | voice_persona / style_persona。默认 style_persona。 |
curl --location 'https://api.emix.ai/api/v1/client/tasks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "suno/mashup",
"callBackUrl": "https://api.example.com/callback",
"input": {
"uploadUrlList": [
"https://example.com/audio1.mp3",
"https://example.com/audio2.mp3"
],
"prompt": "一段平静舒缓的钢琴曲,带有柔和的旋律",
"lyrics": "[主歌]\n让旋律继续流淌\n走进一段柔和的过渡\n[副歌]\n钢琴起伏回旋",
"style": "Jazz",
"title": "Relaxing Piano",
"model": "V6",
"vocalGender": "m",
"styleWeight": 0.61,
"weirdnessConstraint": 0.72,
"audioWeight": 0.65,
"duration": 20,
"variety": 1,
"personaId": "persona_123",
"personaModel": "style_persona"
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "5c79****be8e"
}
}